at.chipkarte.client.elgaad.soap

## Class Einzeldosierung

- Object
- - at.chipkarte.client.elgaad.soap.Einzeldosierung

-     public class Einzeldosierung
      extends Object

  Angaben zur Einzeldosierung.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob die Einzeldosierung zwecks "Erfassung" oder "Änderung" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Einzeldosierung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Dosis` | `getDosis()` Angaben zur Dosis.
    `Code` | `getEinnahmezeitpunkt()` Zeitpunkt der Einnahme.
    `void` | `setDosis(Dosis dosis)`
    `void` | `setEinnahmezeitpunkt(Code einnahmezeitpunkt)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Einzeldosierung

          public Einzeldosierung()

  - ### Method Detail

    - #### getDosis

          public Dosis getDosis()

      Angaben zur Dosis. Siehe `Dosis`.
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Ausgabebedingung: Muss.
      Returns:
        Dosis

    - #### setDosis

          public void setDosis(Dosis dosis)

    - #### getEinnahmezeitpunkt

          public Code getEinnahmezeitpunkt()

      Zeitpunkt der Einnahme. Siehe `Code`.
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Ausgabebedingung: Muss.
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_Einnahmezeitpunkt
      Returns:
        Einnahmezeitpunkt

    - #### setEinnahmezeitpunkt

          public void setEinnahmezeitpunkt(Code einnahmezeitpunkt)